#version 150

const vec4 color1=vec4(0.2,0.05,0,0.2);
const vec4 color2=vec4(0.6,0.05,0,0.8);

#include "ShaderFInterface.glsl"
#include "ShaderFFunctions.glsl"

void main(void) {
  
  float fogin=clamp(fog,0,1);
  
  out_Color =clamp(mix(fogcolor,marble(position),fogin),0,1);
}	
